Pepvote Support Center

List Webhook Endpoints

GET
/webhook-endpoints

Authorization

bearerAuth
AuthorizationBearer <token>

A key in the form pepvote_api_ followed by 32 hexadecimal characters.

In: header

Header Parameters

User-Agentstringrequired

Name and version of the calling integration. Required on every request.

Query Parameters

votingEventCodestring

Response Body

application/json

curl -X GET "https://example.com/webhook-endpoints" \  -H "User-Agent: my-app/1.0"
{
  "data": [
    {
      "id": "string",
      "votingEventId": "string",
      "url": "string",
      "description": "string",
      "eventTypes": [
        "candidate.bulk_approved"
      ],
      "status": "active",
      "disabledReason": "string",
      "consecutiveFailures": 0,
      "secretHint": "string",
      "createdAt": 0
    }
  ],
  "nextCursor": null
}
Was this helpful?

Last updated September 6, 2026